import request from '@/utils/request'
import {smart} from '@/api/commonApi'


// (userName)单位信息获取
export function getUserInfo(userName) {
  return request({
    url: smart + `/sys-org-info/getOrgInfoByUser/${userName}`,
    method: 'get',
  })
}

// 获取所有单位信息
export function getOrgInfoList() {
  return request({
    url: smart + `/sys-org-info/getOrgInfoList`,
    method: 'get'
  })
}

// 用户管理
export function getUserList(data) {
  return request({
    url: smart + `/user-info/authority/getUserPage`,
    method: 'post',
    data
  })
}
//   新增用户信息
export function addUserInfo(data) {
  return request({
    url: smart + `/user-info/authority/save`,
    method: 'post',
    data
  })
}
//   编辑(更新)用户信息
export function updateUserInfo(data) {
  return request({
    url: smart + `/user-info/authority/update`,
    method: 'post',
    data
  })
}
//   删除用户信息
export function deleteUserInfo(id) {
  return request({
    url: smart + `/user-info/authority/deleteById/${id}`,
    method: 'get',
  })
}
//   日志管理 --- 获取日志列表
export function getLogList(data) {
  return request({
    url: smart + `/sys-log/getPageList`,
    method: 'post',
    data
  })
}
// 获取字典角色一组数据
export function getListOrGroupList(enumCode) {
  return request ({
    url: smart + `/basic-enum/getListOrGroupList/${enumCode}`,
    method: 'get'
  })
}
//  授权管理 --- 输入授权码
export function addAuthorizationSqm(params) {
  return request({
    url: smart + `/syn-authorization/inputsqm`,
    method: 'post',
    params
  })
}
